Bug 988941 - PXE/TFTP Boot fails with kernels 3.8 (and above) when ipvs configured
PXE/TFTP Boot fails with kernels 3.8 (and above) when ipvs configured
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 14:10 EDT by Richard
Modified: 2014-02-05 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:11:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard 2013-07-26 14:10:47 EDT
When PXE booting from a server that runs both TFTP and IPVS the tftp server fails to send data to the PXE client.

To reproduce, setup a new FC18 server with the default kernel from the DVD (kernel-3.6.10-4.fc18.x86_64). Install a TFTP server (either dnsmasq or tftp-server) and Keepalived (or just ipvsadm) for LVS. Configure LVS with a basic setting using something like this with the ipvsadm command: 

ipvsadm -A -t 207.175.44.110:80 -s rr

No need to add in any real servers or anything like that as you only need this for it to fail... ommit this part and everything will work just fine.

Now configure TFTP to boot a LiveCD Image and try and boot a PXE Client. I have used both Laptops and Virtual Box PXE Clients and it fails on both physical hardware and virtual.

See this initial bug report where I thought dnsmasq was the problem:
https://bugzilla.redhat.com/show_bug.cgi?id=918016

It seems now that its the kernel at fault, and not the other components. Just rebooting into an older 3.6 kernel and everything is fine.
Comment 1 Richard 2013-08-15 12:07:24 EDT
Still broken on 3.10.6-100.fc18.x86_64
Comment 2 Richard 2013-08-23 10:59:24 EDT
From what I can Google up this is a "feature" of using IPVS in recent kernels.

Upon activation, the IPVS subsystem drops any untracked outgoing UDP packets from leaving the server... This is why TFTP stops sending its boot images ;-(
Comment 3 Justin M. Forbes 2013-10-18 17:20:00 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 4 Richard 2013-10-20 08:36:49 EDT
Hi,
The issue is stull there with 3.11.4-101-fc18.
What's the best weay to upgrade FC18 to FC19, I can test Fedora 19 too.
Thanks,
Rich
Comment 5 Fedora End Of Life 2013-12-21 09:23:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:11:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.